CHCON(1)

BEZEICHNUNG
chcon - Sicherheitskontext einer Datei ändern

ÜBERSICHT
chcon [OPTION]... KONTEXT DATEI...
chcon [OPTION]... [-u ANWENDER] [-r ROLLE] [-l BEREICH] [-t TYP] DATEI...
chcon [OPTION]... --reference=RDATEI DATEI...

BESCHREIBUNG

Ändern des Sicherheitskontextes für jede DATEI nach KONTEXT. Mit --reference: Ändern des Sicherheitskontextes für jede DATEI auf den von RDATEI.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

--dereference
    Die referenzierte Datei jedes symbolischen Links ändern statt des symbolischen Links selbst (dies ist die Voreinstellung)

-h, --no-dereference
    symbolische Verknüpfung anstatt der referenzierten Datei ändern

-u, --user=ANWENDER
    ANWENDER im Ziel-Sicherheitskontext setzen

-r, --role=ROLLE
    ROLLE im Ziel-Sicherheitskontext setzen

-t, --type=TYP
    TYP im Ziel-Sicherheitskontext setzen

-l, --range=BEREICH
    BEREICH im Ziel-Sicherheitskontext setzen

--no-preserve-root
    »/« nicht besonders behandeln (Voreinstellung)

--preserve-root
    Rekursive Bearbeitung von »/« ablehnen

--reference=RDATEI
    RDATEIs Sicherheitskontext verwenden anstatt eines KONTEXT‐Wertes

-R, --recursive
    Dateien und Verzeichnisse rekursiv ändern

-v, --verbose
    Eine Diagnose für jede verarbeitete Datei ausgeben

Die folgenden Optionen bestimmen, wie eine Hierarchie abgearbeitet wird, wenn die Option -R ebenfalls angegeben ist. Wenn mehr als eine angegeben ist, wirkt sich nur die Letzte aus.

-H  Wenn ein Befehlszeilenargument ein symbolischer Link auf ein Verzeichnis ist, dieses durchlaufen

-L  Jeden gefundenen symbolischen Link auf ein Verzeichnis durchlaufen

-P  Überhaupt keine symbolischen Links durchlaufen (Voreinstellung)

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

AUTOR
Geschrieben von Russell Coker und Jim Meyering.

FEHLER BERICHTEN
Berichten Sie Fehler in chcon (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von chcon an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für chcon wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und chcon auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'chcon invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.